Download it now!
Bug 69656 - FILEOPEN: DOCX Import of table with auto-width and at least one column with auto-width is wrong
Summary: FILEOPEN: DOCX Import of table with auto-width and at least one column with a...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Sushil Shinde
URL:
Whiteboard: BSA target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-21 17:28 UTC by Adam CloudOn
Modified: 2019-04-10 00:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
DOCX containing a table with auto-width and at least one column with auto-width (18.50 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-09-21 17:28 UTC, Adam CloudOn
Details
Screenshot comparison between MS Word and LibreOffice (116.34 KB, image/png)
2013-09-21 17:32 UTC, Adam CloudOn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam CloudOn 2013-09-21 17:28:28 UTC
Created attachment 86280 [details]
DOCX containing a table with auto-width and at least one column with auto-width

Problem description: 
When loading the attached DOCX into LO - the table width spans the page, instead of staying in the original width like in the original DOCX.

Note!
This is a special case where the table's width is set to 'Auto' and also there is at least one column in the table that has it's width set to 'Auto'.

Steps to reproduce:
1. Load the attached DOCX in LO
2. Table width is wrong

Current behavior:
LO imports and renders the table with a width of all the page

Expected behavior:
LO should import and render the table with a width of 'Auto' and keep that 'auto-width' column also like in MS Word.
              
Operating System: All
Version: 4.2.0.0.alpha0+ Master
Comment 1 Adam CloudOn 2013-09-21 17:32:22 UTC
Created attachment 86281 [details]
Screenshot comparison between MS Word and LibreOffice
Comment 2 Thomas van der Meulen 2013-09-29 06:58:37 UTC
Thank you for your bug report,
I can reproduce this bug running LibreOffice: 
Version: 4.2.0.0.alpha0+
Build ID: 164b6ce7b27c0a9ec19019e7b078b9f8f382007d
TinderBox: Win-x86@39, Branch:master, Time: 2013-09-28_16:39:4
And Mircosoft Word 2007
Comment 3 Commit Notification 2014-02-13 09:25:52 UTC
sushil_shinde committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d34d43b29be2b14a02b001b35fcde2459fb1993

fdo#69656 table with auto-width and at least one column with auto-width.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Jorendc 2014-05-17 20:35:42 UTC
Looks fixed to me, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+ Build ID: 48eccfb812284f43ba24c3be3903537ce954944d
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-16_00:35:19

Kind regards,
Joren